Subject: Re: SMK 455 YE MISTL200 FROM HUAWEI SULFRID WORKSHOP 65716
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>
Cc: Benedict Ochade <[email-masked]>, Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Tue, 2 Dec 2025 06:27:58 +0000

62,500.00 Approved.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Monday, December 1, 2025 2:54 PM
To: Raphael Peter <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Folashade Odutola <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: SMK 455 YE MISTL200 FROM HUAWEI SULFRID WORKSHOP 65716

Dear Raphael,

Kindly approve for further processing.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Monday, December 1, 2025 11:29 AM
To: Lucky Umuokoro <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>
Subject: RE: SMK 455 YE MISTL200 FROM HUAWEI SULFRID WORKSHOP 65716

Dear Lucky,

Kindly make use of this approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

5 liters of engine oil

38,000.00

27500

2

Oil filter

8,000.00

3000

3

Set of plugs

16,000.00

10000

4

Engine coil

18,000.00

15000

5

labour

15,000,00

7000

Total

95,000.00

NGN62,500

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Monday, 1 December 2025 10:08
To: Okoroafor Igwe <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Raphael Peter <[email-masked]>; Folashade Odutola <[email-masked]>
Subject: SMK 455 YE MISTL200 FROM HUAWEI SULFRID WORKSHOP 65716

Good morning, sir!

Kindly find the table for your approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

5 liters of engine oil

38,000.00

2

Oil filter

8,000.00

3

Set of plugs

16,000.00

4

Engine coil

18,000.00

5

labour

15,000,00

Total

95,000.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]